Routes
Add collection supplemental information
POSThttps://api.insurely.com/insurance/collection/{collectionId}/supplement-info
Add supplemental information to a collection. This can be necessary if a collection requires 2 factor authentication. The collection will have the status 'TWO FACTOR PENDING' in this case.
Request
Path Parameters
collectionIdstring
Header Parameters
Insurely-Versionstring
Specifies the API version to use. Must match the version of the endpoint you are targeting.
Possible Enum values are
2025-01-01.Request Body
typestring
Type of the supplemental information.
Possible Enum values are
TWO_FACTOR_CODE, TWO_FACTOR_CHOICE, RESPONSE_OBJECT or COLLECTION_INPUT.One of these types:
Properties below are from the TwoFactorCode subtype. View the full schema for full details.
typestring
Possible Enum values are
TWO_FACTOR_CODE.valuestring
Two factor code
Responses
Data collection successfully initiated.
Body
cURL
curl https://api.insurely.com/insurance/collection/{collectionId}/supplement-info \ -H "client-id: <client-id>" \ -H "Content-Type: application/json" \ -d '{ "type": "TWO_FACTOR_CODE", "value": "A12345"}' \ -X POST